Bug 1827197 - Pod log pages do not have a query parameter for selected container
Summary: Pod log pages do not have a query parameter for selected container
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.4.z
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On: 1826060
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-23 12:19 UTC by Robb Hamilton
Modified: 2020-07-13 20:00 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Pod log pages did not include a query string parameter indicating the selected container. Consequence: In the case where more than one container exists in a pod, refreshing the page or visiting the page's URL could result in the incorrect container logs displaying. Fix: Add a query string parameter so the URL indicates which container's logs should display. Result: The correct container logs display.
Clone Of: 1826060
Environment:
Last Closed: 2020-06-17 22:26:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 5167 None closed [release-4.4] Bug 1827197: Add query parameter for selected container to pod logs 2020-07-13 18:20:02 UTC
Red Hat Product Errata RHBA-2020:2445 None None None 2020-06-17 22:26:25 UTC

Comment 1 Robb Hamilton 2020-05-08 17:23:40 UTC
PR opened, awaiting cherry pick approval.

Comment 2 Robb Hamilton 2020-05-28 19:59:40 UTC
PR opened, awaiting cherry pick approval.

Comment 5 Yanping Zhang 2020-06-08 04:23:33 UTC
Checked on ocp 4.4 cluster with payload: 4.4.0-0.nightly-2020-06-07-075345
Create pod with two containers in project, go to pod log page, the url has container selected, switch to the second container, copy the url and open it in another tab, will open pod log page with the second container selected.
The bug is fixed.

Comment 7 errata-xmlrpc 2020-06-17 22:26:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2445

Comment 8 Scott Berens 2020-07-13 20:00:37 UTC
thank you team. is there a way that we can check to see if this will make it into a 4.4.z ?


Note You need to log in before you can comment on or make changes to this bug.